//Ex5_1.cpp
#include "iostream" 
#include "cmath" 
using namespace std;
float area(float x, float y, float z)  //定义求三角形面积的函数 
{float l,s; 
 l=(x+y+z)/2; 
 s=sqrt(l*(l-x)*(l-y)*(l-z)); 
 return s; 
} 
void main() 
{int a,b,c,d,e,l,m;
 float s; 
 cout<<"输入5条边及2条对角线的长度："; 
 cin>>a>>b>>c>>d>>e>>l>>m; 
 s=area(a,b,l)+area(l,c,m)+area(m,d,e);  //调用area函数，求多边形的面积 
 cout<<"多边形的面积为："<<s<<endl; 
}  
